umbrello: Uml::CmdChangeFillColor Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdChangeFillColor Class Reference

`#include <cmdchangefillcolor.h>`

Inheritance diagram for Uml::CmdChangeFillColor:

## Public Member Functions
| CmdChangeFillColor (UMLWidget *w, const QColor &col)
| ~CmdChangeFillColor ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseWidgetCommand
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Private Attributes
QColor | m_oldColor
| old color
QColor | m_color
| new color

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseWidgetCommand
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()
Protected Attributes inherited from Uml::CmdBaseWidgetCommand
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdChangeFillColor()

Uml::CmdChangeFillColor::CmdChangeFillColor | ( | UMLWidget * | w,
|  | const QColor & | col
| ) |  |

## ◆ ~CmdChangeFillColor()

Uml::CmdChangeFillColor::~CmdChangeFillColor | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdChangeFillColor::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdChangeFillColor::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_color

QColor Uml::CmdChangeFillColor::m_color
| private

new color

## ◆ m_oldColor

QColor Uml::CmdChangeFillColor::m_oldColor
| private

old color

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdchangefillcolor.h
- umbrello/cmds/widget/cmdchangefillcolor.cpp